/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.cuni.amis.pogamut.base.utils;

import cz.cuni.amis.pogamut.base.exceptions.PogamutException;
import javax.management.MBeanServer;
import javax.management.MBeanServerConnection;
import javax.management.remote.JMXServiceURL;

public interface PogamutPlatform {
    /**
     * @return Connection to a remote MBeanServer
     * @throws cz.cuni.amis.pogamut.base.exceptions.PogamutException
     */
    public MBeanServerConnection getMBeanServerConnection() throws PogamutException;
    
    public String getProperty(String key);
    
    public String getProperty(String key, String def);
    
    public void close() throws PogamutException;
    
    public MBeanServer getMBeanServer() throws PogamutException;

    public JMXServiceURL getMBeanServerURL() throws PogamutException;
}
